<?php
namespace Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\AttributeSelect;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\AttributeSelect
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\System\Config\CanonicalLayered\AttributeSelect implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Seo\Model\Config\Source\AssociatedCanonical\AttributeSource $attributeSource, \Magento\Framework\View\Element\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($attributeSource, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
